classification
Title: test_npn_protocols broken with LibreSSL 2.6.1+
Type: Stage: resolved
Components: SSL Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Fix NPN guard for OpenSSL 1.1
View: 30622
Assigned To: christian.heimes Nosy List: christian.heimes, spil
Priority: normal Keywords: patch

Created on 2017-12-19 18:59 by christian.heimes, last changed 2018-03-02 19:15 by spil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4930 closed christian.heimes, 2017-12-19 19:03
PR 5253 closed christian.heimes, 2018-01-20 23:12
PR 5343 spil, 2018-01-26 11:54
Messages (4)
msg308669 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-12-19 18:59
LibreSSL 2.6.1 to 2.6.4 have a broken implementation of NPN protocol. 2.6.0 and earlier are fine.


======================================================================
FAIL: test_npn_protocols (test.test_ssl.ThreadedTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/heimes/dev/python/cpython/Lib/test/test_ssl.py", line 3424, in test_npn_protocols
    self.assertEqual(client_result, expected, msg % (client_result, "client"))
AssertionError: None != 'http/1.1' : failed trying ['http/1.1', 'spdy/2'] (s) and ['http/1.1', 'spdy/2'] (c).
was expecting http/1.1, but got None from the client

Upstream issue https://github.com/libressl-portable/portable/issues/368
msg310757 - (view) Author: Bernard Spil (spil) * Date: 2018-01-26 11:54
See also https://github.com/python/cpython/pull/5343

Note: I am Sp1l on Github, spil here, CLA has been signed.
msg312855 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 20:32
NPN issue has been fixed in BPO #30622.

Thanks for your help!
msg313156 - (view) Author: Bernard Spil (spil) * Date: 2018-03-02 19:15
My pleasure! Glad we sorted this out for no-nextprotoneg and LibreSSL :D
History
Date User Action Args
2018-03-02 19:15:00spilsetmessages: + msg313156
2018-02-25 20:32:28christian.heimessetstatus: open -> closed
superseder: Fix NPN guard for OpenSSL 1.1
messages: + msg312855

resolution: duplicate
stage: patch review -> resolved
2018-01-26 11:54:11spilsetnosy: + spil

messages: + msg310757
pull_requests: + pull_request5190
2018-01-20 23:12:32christian.heimessetpull_requests: + pull_request5100
2017-12-19 19:03:16christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request4824
2017-12-19 18:59:04christian.heimescreate